Skip to content
Start here

List organization members

GET/organizations/{organization_id}/members

List memberships for an Organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/)

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
organization_id: string
Query ParametersExpand Collapse
page_size: optional number

The amount of items to return. Defaults to 10.

maximum1000
minimum0
page_token: optional string

An opaque token returned from the last list response that when provided will retrieve the next page.

Parameters used to filter the retrieved list must remain in subsequent requests with a page token.

status: optional array of "active" or "canceled"

Filter the list of memberships by membership status.

One of the following:
"active"
"canceled"
user: optional object { email }
email: optional string

Filter the list of memberships for a specific email that ends with a substring.

ReturnsExpand Collapse
errors: array of unknown
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of OrganizationMember { id, create_time, meta, 3 more }
id: string

Organization Member ID

create_time: string
formatdate-time
meta: map[unknown]
status: "active" or "canceled"
One of the following:
"active"
"canceled"
update_time: string
formatdate-time
user: object { id, email, name, two_factor_authentication_enabled }
id: string
email: string
name: string
two_factor_authentication_enabled: boolean
result_info: object { next_page_token, total_size }
next_page_token: optional string

Use this opaque token in the next request to retrieve the next page.

Parameters used to filter the retrieved list must remain in subsequent requests with a page token.

total_size: optional number

Counts the total amount of items in a list with the applied filters. The API omits next_page_token to indicate no more items in a particular list.

success: true

List organization members

curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/members \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8",
      "create_time": "2019-12-27T18:11:19.117Z",
      "meta": {
        "foo": {}
      },
      "status": "active",
      "update_time": "2019-12-27T18:11:19.117Z",
      "user": {
        "id": "id",
        "email": "email",
        "name": "name",
        "two_factor_authentication_enabled": true
      }
    }
  ],
  "result_info": {
    "next_page_token": "next_page_token",
    "total_size": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8",
      "create_time": "2019-12-27T18:11:19.117Z",
      "meta": {
        "foo": {}
      },
      "status": "active",
      "update_time": "2019-12-27T18:11:19.117Z",
      "user": {
        "id": "id",
        "email": "email",
        "name": "name",
        "two_factor_authentication_enabled": true
      }
    }
  ],
  "result_info": {
    "next_page_token": "next_page_token",
    "total_size": 0
  },
  "success": true
}